using System;
using NinjaTrader.Data;

internal sealed class Delegate764 : MulticastDelegate
{
	public extern void Invoke(object sender, EventHandler<MarketDataEventArgs> e);

	public static void smethod_0(object object_0, EventHandler<MarketDataEventArgs> eventHandler_0, Delegate764 delegate764_1)
	{
		delegate764_1(object_0, eventHandler_0);
	}

	public extern Delegate764(object object_0, IntPtr intptr_0);

	static Delegate764()
	{
		Class10.smethod_13(typeof(Delegate764).TypeHandle);
	}

	internal static Delegate764 delegate764_0;
}
